// ------------------------------------------------------------------------------
// Fishies - http://www.arkitus.com
// Copyright (C) 2005  Ali Eslami
// 
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// ------------------------------------------------------------------------------
// Fishies.java
// Procedures related to starting up the program and adjusting the settings
// are in this file.
// ------------------------------------------------------------------------------

int div = 75;          // Number of white fish
int num = 100;         // Total number of fish
float gX = 400;        // Initial center of gravity - x
float gY = 210;        // Initial center of gravity - y
Ball[] balls;

void setup()
{
  size(800,420);
  smooth();
  framerate(30);
  reset();
}

void draw()
{
  background(255,255,255);
  
  if ( mousePressed == true )
  {
    gX = mouseX;
    gY = mouseY;
  }
  
  stroke(200,200,200);
  strokeWeight(10);
  point(gX, gY);

  for ( int i=0; i<num; i++ )
  {
    balls[i].gravitate(gX, gY);
    balls[i].repulse();
    balls[i].move();
    balls[i].display();
  }
}

void reset()
{ 
  balls = new Ball[num];

  for ( int i=0; i<div; i++ )
  {
    balls[i] = new Ball(random(0,width), random(0,height),"A");
  }
  for ( int i=div; i<num; i++ )
  {
    balls[i] = new Ball(random(0,width), random(0,height),"B");
  }
}
